Skip to main content
GET
/
ml
/
projects
/
{id}
/
models
/
status
Get Project Model Status
curl --request GET \
  --url https://acusight.io/api/ml/projects/{id}/models/status \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "ab_test_active": true,
    "baseline": {
      "created_at": "<string>",
      "id": 123,
      "name": "<string>",
      "version": 123
    },
    "canary": {
      "created_at": "<string>",
      "id": 123,
      "name": "<string>",
      "version": 123
    },
    "canary_device_count": 123,
    "canary_percentage": 123,
    "challenger": {
      "created_at": "<string>",
      "id": 123,
      "name": "<string>",
      "version": 123
    },
    "champion": {
      "created_at": "<string>",
      "id": 123,
      "name": "<string>",
      "version": 123
    }
  },
  "error": {
    "code": "<string>",
    "details": "<string>",
    "message": "<string>"
  },
  "meta": {
    "count": 123,
    "limit": 123,
    "offset": 123,
    "total": 123
  },
  "success": true
}

Authorizations

Authorization
string
header
required

JWT access token. Paste the token only; the Bearer prefix is added automatically.

Path Parameters

id
integer
required

Project ID

Response

Project model status

data
object
error
object
meta
object
success
boolean